#!/bin/bash
#SBATCH -t 240:00:00
#SBATCH --ntasks=1
#SBATCH -N 1
#SBATCH --mem=65000
#SBATCH --share
#SBATCH --output=output_calculate_scaled_coverage_mpileup_%j.out


# This script takes an mpileup file and makes a new file lacking the columns of read base and quality scores, and adds a column per sample. This added column reports the number of reads at a location divided by the average read coverage across the genome for that sample. Thus providing a scaled coverage instead of just number of reads. This script also removes the columns 

awk '{print $1, $2, $3, $4, $4/<ENTER_B_AVERAGE_COVERAGE_HERE>, $7, $7/<ENTER_NoB_AVERAGE_COVERAGE_HERE>}' <ENTER_mpileup> > <OUTPUT_scaled.mpileup>

