#!/bin/bash
#SBATCH -t 240:00:00
#SBATCH --ntasks=1
#SBATCH -N 1
#SBATCH --mem=65000
#SBATCH --share
#SBATCH --output=output_mpileup_mean_and_stdev_%j.out

# This script takes a scaled.ratio.mpileup file and reports the mean and standard devaition of the coverage, scaled-coverage and scaled-coverage ratio for each sample.

awk '{sum1a+=$4; sumsq1a+=$4*$4; sum1b+=$5; sumsq1b+=$5*$5; sum1c+=$6; sumsq1c+=$6*$6} END {print "<ENTER_B_SAMPLE_IDENTIFIER>", sum1a/NR, sqrt(sumsq1a/NR - (sum1a/NR)**2), sum1b/NR, sqrt(sumsq1b/NR - (sum1b/NR)**2), sum1c/NR, sqrt(sumsq1c/NR - (sum1c/NR)**2);} 
{sum2a+=$7; sumsq2a+=$7*$7; sum2b+=$8; sumsq2b+=$8*$8; sum2c+=$9; sumsq2c+=$9*$9} END {print "<ENTER_NoB_SAMPLE_IDENTIFIER>", sum2a/NR, sqrt(sumsq2a/NR - (sum2a/NR)**2), sum2b/NR, sqrt(sumsq2b/NR - (sum2b/NR)**2), sum2c/NR, sqrt(sumsq2c/NR - (sum2c/NR)**2);}' <ENTER_scaled.ratio.mpileup> > <OUTPUT_cov_sc_scr_mean_stdev.txt>


