#!/bin/bash
#SBATCH -t 240:00:00
#SBATCH --ntasks=1
#SBATCH -N 1
#SBATCH --mem=65000
#SBATCH --share
#SBATCH --output=output_bedtools_merge_%j.out

# This script uses bedtools merge to join bp that passed previous filters into "features" or "blocks." Bp within 300 bp of eachother will be "merged" into one block. The count option will count how many bp were merged to create the block. This is the number of bp passing the previous filters, not just the length of the block.

bedtools merge -i <ENTER_PASSING_BP.bed> -d 300 -c 1 -o count > <OUTPUT_count.bed>

