#!/bin/bash
#SBATCH -t 240:00:00
#SBATCH --ntasks=1
#SBATCH -N 1
#SBATCH --mem=65000
#SBATCH --share
#SBATCH --output=output_filter_blocks_%j.out

# This removes any called B blocks that are smaller than 500 bp.

awk '{if ($5 >= 500) print $1, $2, $3, $4, $5}' <ENTER_blocksize.bed> > <OUTPUT_morethan500.bed>

# This removes any called B blocks with fewer than 10% of its bases passing the SCR and binomial thresholds. NOTE: The output file (ending in IGVready.bed) is easily viewed in IGV.

awk -v OFS='\t' '{if (($4/$5) >= 0.10) print $1, $2, $3}' <ENTER_morethan500.bed> > <OUTPUT_IGVready.bed>

# This adds back in a column for block size.

awk '{print $1, $2, $3, $3-$2}' <ENTER_IGVready.bed> > <OUTPUT_blocksize_afterfilter.bed>
