#!/bin/bash
#SBATCH -t 75:00:00
#SBATCH --ntasks=1
#SBATCH -N 1
#SBATCH --mem=65000
#SBATCH --share
#SBATCH --output=output_bedtools_intersect_blocks_%j.out

# If B blocks have been called from multiple individuals/datasets, this script will identify the shared regions or overlap and write these "core" blocks to a new file.

# If more than 2 individuals/datasets are being used, bedtools intersect must be used sequentially on each sample.

bedtools intersect -a <Enter_SAMPLE1_IGVready.bed> -b <Enter_SAMPLE2_IGVready.bed> > intersection_of_1_2.bed

bedtools intersect -a intersection_of_1_2.bed -b <Enter_SAMPLE3_IGVready.bed> > intersection_of_1_2_3.bed

bedtools intersect -a intersection_of_1_2_3.bed -b <Enter_SAMPLE4_IGVready.bed> > intersection_of_1_2_3_4.bed

# The fragmented blocks included in the "core" block set can now be merged again, merging any blocks within 300 bp of one another (just as before). 

bedtools merge -i intersection_of_1_2_3_4.bed -d 300 > <OUTPUT_core_blocks.bed>

# And once again, the block length is added back into the file.

awk '{print $1, $2, $3, $3-$2}' <ENTER_core_blocks.bed> > <OUTPUT_core_blocks_blocksize.bed>








