#!/bin/bash
#SBATCH -t 240:00:00
#SBATCH --ntasks=1
#SBATCH -N 1
#SBATCH --mem=65000
#SBATCH --share
#SBATCH --output=output_bedtools_intersect_blocks_with_mpileup_%j.out

# This script uses bedtools intersect to overlap the B blocks with the scaled.ratio.mpileup_Bedtools file in order to pull out information about the coverage, scaled coverage, and scaled coverage ratio of each bp in the B blocks.

# This will recover the coverage, scaled coverage and SCR for one sample's B blocks.

bedtools intersect -wa -a <ENTER_scaled.ratio.mpileup_Bedtools> -b <Enter_SAMPLE1_IGVready.bed> > <OUTPUT_SAMPLE1_blocks_mpileup.bed>

# This will recover the coverage, scaled coverage and SCR for the core blocks.
bedtools intersect -wa -a <ENTER_scaled.ratio.mpileup_Bedtools> -b <ENTER_core_blocks.bed> > <OUTPUT_core_blocks_mpileup.bed>
